### Method

# GLib AsyncQueue pop_unlocked

#### Declaration

    gpointer
    g_async_queue_pop_unlocked (
      GAsyncQueue* queue
    )

#### Description

Pops data from the `queue`. If `queue` is empty, this function blocks until data becomes available.

This function must be called while holding the `queue`‘s lock.

#### Return value

Type: `gpointer`

Data from the queue.

The data is owned by the instance.
The return value can be `NULL`.